Bug 1319522 - Review Request: kactivitymanagerd - Plasma service to manage user's activities
Summary: Review Request: kactivitymanagerd - Plasma service to manage user's activities
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2016-03-20 21:36 UTC by Daniel Vrátil
Modified: 2016-08-14 16:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-25 15:31:03 UTC
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Daniel Vrátil 2016-03-20 21:36:04 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kactivitymanagerd.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kactivitymanagerd-5.6.0-1.fc23.src.rpm
Description: Plasma service to manage user's activities
Fedora Account System Username: dvratil

The kactivitymanagerd daemon has been split out from kf5-kactivities framework in KF5 5.20. The framework library can be used without the daemon, the daemon is only useful for integration with Plasma desktop.

Comment 1 Christian Dersch 2016-03-22 15:33:06 UTC
Review will follow soon

Comment 2 Christian Dersch 2016-03-22 17:53:22 UTC
Looks good to me => Approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===> OK, is a known false positive

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

===> OK, the unversioned .so files are plugins


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or v3)", "GPL (v2 or later)", "Unknown or
     generated". 6 files have unknown license. Detailed output of
     licensecheck in
     /home/review/1319522-kactivitymanagerd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib64/qt5/plugins/kactivitymanagerd/1(kf5-kactivities-libs),
     /usr/lib64/qt5/plugins/kactivitymanagerd(kf5-kactivities, kf5
     -kactivities-libs)

==> OK, this package obsoletes kf5-kactivities

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     kactivitymanagerd-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

===> Known false positive

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.15 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.15
INFO: Mock Version: 1.2.15
Finish: chroot init
INFO: installing package(s): /home/review/1319522-kactivitymanagerd/results/kactivitymanagerd-5.6.0-1.fc25.x86_64.rpm /home/review/1319522-kactivitymanagerd/results/kactivitymanagerd-debuginfo-5.6.0-1.fc25.x86_64.rpm /home/review/1319522-kactivitymanagerd/results/kactivitymanagerd-debuginfo-5.6.0-1.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/review/1319522-kactivitymanagerd/results/kactivitymanagerd-5.6.0-1.fc25.x86_64.rpm /home/review/1319522-kactivitymanagerd/results/kactivitymanagerd-debuginfo-5.6.0-1.fc25.x86_64.rpm /home/review/1319522-kactivitymanagerd/results/kactivitymanagerd-debuginfo-5.6.0-1.fc25.x86_64.rpm --setopt=tsflags=nocontexts
WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin._6_oonz9): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin._6_oonz9'


Rpmlint
-------
Checking: kactivitymanagerd-5.6.0-1.fc25.x86_64.rpm
          kactivitymanagerd-debuginfo-5.6.0-1.fc25.x86_64.rpm
          kactivitymanagerd-5.6.0-1.fc25.src.rpm
kactivitymanagerd.x86_64: W: self-obsoletion kf5-kactivities <= 5.20.0 obsoletes kf5-kactivities
kactivitymanagerd.x86_64: E: invalid-soname /usr/lib64/libkactivitymanagerd_plugin.so libkactivitymanagerd_plugin.so
kactivitymanagerd.x86_64: W: no-manual-page-for-binary kactivitymanagerd
kactivitymanagerd.src: W: invalid-url URL: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd The read operation timed out
kactivitymanagerd.src:40: W: unversioned-explicit-provides kf5-kactivities
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

===> error is a false-positive IMHO
===> URL does not respond, right link?


Requires
--------
kactivitymanagerd (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kf5-filesystem
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5GlobalAccel.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkactivitymanagerd_plugin.so()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kactivitymanagerd-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
kactivitymanagerd:
    kactivitymanagerd
    kactivitymanagerd(x86-64)
    kf5-kactivities
    libkactivitymanagerd_plugin.so()(64bit)

kactivitymanagerd-debuginfo:
    kactivitymanagerd-debuginfo
    kactivitymanagerd-debuginfo(x86-64)



Unversioned so-files
--------------------
kactivitymanagerd: /usr/lib64/libkactivitymanagerd_plugin.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_activitytemplates.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_eventspy.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_globalshortcuts.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_runapplication.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_slc.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_sqlite.so
kactivitymanagerd: /usr/lib64/qt5/plugins/kactivitymanagerd/1/kactivitymanagerd_plugin_virtualdesktopswitch.so

===> Plugins are unversioned => fine

Source checksums
----------------
http://download.kde.org/stable/plasma/5.6.0/kactivitymanagerd-5.6.0.tar.xz :
  CHECKSUM(SHA256) this package     : 7e7d4bfbbe717bfa8892e69508f3113007251481a5becd8085585525e26c7dac
  CHECKSUM(SHA256) upstream package : 7e7d4bfbbe717bfa8892e69508f3113007251481a5becd8085585525e26c7dac


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1319522
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Rex Dieter 2016-03-25 14:40:28 UTC
Looks like we'll want 5.5.0 http://download.kde.org/stable/kactivities/kactivitymanagerd-5.5.0.tar.xz
in the short term before plasma-5.6 lands

Has a pkgdb request been submitted yet?

Comment 4 Rex Dieter 2016-03-25 15:12:55 UTC
I'm guessing yes.  I'll take the liberty of importing 5.5.0 fow now.

Comment 5 Rex Dieter 2016-03-25 15:31:03 UTC
imported (5.5.0), thanks.


Note You need to log in before you can comment on or make changes to this bug.